//
//  MiddleBannerCollectionViewCell.m
//  Open
//
//  Created by 雷俊博 on 2019/8/22.
//  Copyright © 2019 黄江涛 . All rights reserved.
//

#import "MiddleBannerCollectionViewCell.h"
#import "Constants.h"

@interface MiddleBannerCollectionViewCell ()



@end

@implementation MiddleBannerCollectionViewCell
#pragma mark - life cycle
- (instancetype)initWithFrame:(CGRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        [self.contentView addSubview:self.goodsImageView];
        [self setupUI];
    }
    return self;
}

- (void)setupUI
{
    [self.goodsImageView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.right.offset(0);
        make.top.bottom.offset(0);
    }];
}


#pragma mark - public methods
- (void)configureCellWithInfo:(NSDictionary *)data
{
    
}

#pragma mark - getters and setters
- (UIImageView *)goodsImageView
{
    if (!_goodsImageView) {
        _goodsImageView = [[UIImageView alloc]init];
    }
    return _goodsImageView;
}

@end
